<?php

namespace common\models\query;

use common\models\Category;
use yii\helpers\ArrayHelper;
/**
 * This is the ActiveQuery class for [[Category]].
 *
 * @see Category
 */
class CategoryQuery extends \yii\db\ActiveQuery
{
//    public function active()
//    {
//        return $this->andWhere('[[status]]=1');
//    }

    public function active()
    {
        $this->andWhere(['status' => Category::STATUS_ACTIVE]);
        return $this;
    }

    /**
     * @inheritdoc
     * @return Category[]|array
     */
    public function all($db = null)
    {
        return parent::all($db);
    }

    /**
     * @inheritdoc
     * @return Category|array|null
     */
    public function one($db = null)
    {
        return parent::one($db);
    }
}
